### Method

# RB MetaData set

#### Declaration [src]

    gboolean
    rb_metadata_set (
      RBMetaData* md,
      RBMetaDataField field,
      const GValue* val
    )

#### Description [src]

Sets a metadata field value. The value is only stored inside the `RBMetaData` object until rb_metadata_save is called.

#### Parameters

`field`

  Type: `RBMetaDataField`

  The `RBMetaDataField` to set.

`val`

  Type: `GValue`

  The value to set.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the field is valid.